Subject: Re: 25.0.50; fill-single-char-nobreak-p does not recognize a single-letter word when it is preceded by an open paren

From: Marcin Borkowski <[email-masked]>
Date: Mon, 22 Jun 2015 12:28:31 +0200

On 2015-06-22, at 12:19, Marcin Borkowski <[email-masked]> wrote:

> Hello,
>
> today I found that fill-single-char-nobreak-p is just a bit too
> simplistic.  When point is after e.g. the string " (a", it returns nil
> instead of t.  I am not sure which characters should be added to the
> regex, but at least the opening paren (and maybe bracket) should be
> there, so I'd change the regex into [[:space:]][[(]*[[:alpha:]].  (Two
> or more opening parens/brackets are unlikely, but when in doubt, I guess
> it's better to return t than nil than the other way round.)
>
> Best regards,

Just noticed that there is a hardcoded (backward-char 2), so it
seems that adding a few characters to the regex is not enough.  Maybe
looking-back is the way to go (though it might slow filling down)?
I don't know.

Best,

-- 
Marcin Borkowski
http://octd.wmi.amu.edu.pl/en/Marcin_Borkowski
Faculty of Mathematics and Computer Science
Adam Mickiewicz University